Bug 812007 - The 'bookingWhen' section is invisible when making order in Ticket Monster example
The 'bookingWhen' section is invisible when making order in Ticket Monster ex...
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Spring, Examples (Show other bugs)
2.0.0.ER3
Unspecified Unspecified
medium Severity medium
: ---
: 2.0.0.ER8
Assigned To: Marius Bogoevici
Tomas Repel
ticket-monster
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-12 10:07 EDT by Tomas Repel
Modified: 2012-06-22 07:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-22 07:10:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Selectors are invisible (304.04 KB, image/png)
2012-04-12 10:08 EDT, Tomas Repel
no flags Details
Options for dayPicker selector are missing (241.12 KB, image/png)
2012-04-12 10:09 EDT, Tomas Repel
no flags Details

  None (edit)
Description Tomas Repel 2012-04-12 10:07:31 EDT
Description of problem:

Sometimes the selectors for choosing day and time for combination of event and place are invisible, thus it is impossible to finish the order. See attachment for more details.

Version-Release number of selected component (if applicable):
EAP6 Beta
WFK2 Beta1
Firefox 10.0.3

How reproducible:

Sometimes. Sadly, I was unable to determine some sequence of steps to reproduce this error. But the following could work.

Steps to Reproduce:
1. download Ticket Monster from github
2. package and deploy
3. navigate to http://localhost:8080/ticket-monster in the browser
4. click on Concert -> Rock concert of the decade -> Select Roy Thomson Hall
5. click on Events -> Theatre -> Shane's Sock Puppets -> Select Roy Thomson Hall
  
Actual results:

The 'bookingWhen' section remains invisible.

Expected results:

The selectors for choosing day and time appear.

Additional info:

To reproduce the situation when there are no option to select for a day, continue with these steps after step 5.:

6. click on Events -> Concert -> Rock concert of the decade -> Select Roy Thomson Hall
Comment 1 Tomas Repel 2012-04-12 10:08:23 EDT
Created attachment 577076 [details]
Selectors are invisible
Comment 2 Tomas Repel 2012-04-12 10:09:14 EDT
Created attachment 577078 [details]
Options for dayPicker selector are missing
Comment 3 Marius Bogoevici 2012-06-07 18:54:06 EDT
Shoukd be fixed now
Comment 4 Tomas Repel 2012-06-13 06:40:29 EDT
Verified in WFK2 ER8.
Comment 5 Karel Piwko 2012-06-22 07:10:52 EDT
These example related issues are fixed in WFK 2.0.0. Documenting them as fixed issues is not required.

Note You need to log in before you can comment on or make changes to this bug.